<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:paddingHorizontal="24dp"
    android:paddingBottom="12dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/common_choose_date"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_from_to_date"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingVertical="6dp"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_from_date"
            android:layout_width="0dp"
            android:layout_height="36dp"
            android:background="@drawable/wallet_filter_date_button_bg_sel"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/wallet_filter_date_button_text_sel"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/v_to"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="01-12-2025" />

        <View
            android:id="@+id/v_to"
            android:layout_width="16dp"
            android:layout_height="2dp"
            android:layout_marginHorizontal="14.5dp"
            android:background="@color/color_FF86909C"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_to_date"
            app:layout_constraintStart_toEndOf="@id/tv_from_date"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_to_date"
            android:layout_width="0dp"
            android:layout_height="36dp"
            android:background="@drawable/wallet_filter_date_button_bg_sel"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/wallet_filter_date_button_text_sel"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/v_to"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="01-12-2025" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/fl_date_picker"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/cl_from_to_date"
        tools:layout_height="200dp" />

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_confirm"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/fl_date_picker"
        app:text="@string/commonui_confirm"
        app:textColor="@color/white"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>